cIOSPAGHETTI (cios infected) ios detected, Aborting mission

Discussion in 'Wii - Hacking' started by mauifrog, Jun 20, 2011.

  1. mauifrog
    OP

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    I was reinstalling priiloader 0.6 on my wii for about the 1000'th time. I am using ios36 to install with. Typically I have cios36 v3.6 from cioscorp installed in slot 36, never had an issue. Recently my modchip took a dump on my and I installed darkcorp to load some disc from RM.

    Anyway, so today I decided I would reinstall priiloader and setup autoboot into cfg usbloader for the kids. When I ran priiloader 0.6 with AHBPROT disabled I received the following error-

    cIOSPAGHETTI (cios infected) ios detected, Aborting mission

    Reinstalling cios36 fixed the issue. My question is this, is this error an intentional FU to darkcorp cios or what is going on. The darkcorp cios36 seemed to be fully fuctional, it plays MK and SSBB, installs/uninstalls stuff, but priiloader does not like it.
     


  2. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    I don't know if it is intentional, but it always happens if you have a Corped IOS36. I'm not sure how it does it, maybe it checks for a patched dip17 module.
     
  3. mauifrog
    OP

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    cioscorp/darkcorp have r13 dip patch. Priiloader works fine with my cioscorp 3.6 cios36.

    This could have something to do with it. Before I reinstall cios36 I made a nand backup. No I am possitive that I had a cios36 installed, I checked before I reinstalled it and it was darkcorp version. However, I don't see an ios36 in my nandbincheck, or I am blind. It should be 00000001-00000024 AFAIK, but it is not there.
    Warning: Spoilers inside!
     
  4. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    <!--quoteo(post=3726316:date=Jun 19 2011, 08:41 PM:name=mauifrog)--><div class='quotetop'>QUOTE(mauifrog @ Jun 19 2011, 08:41 PM) <a href="index.php?act=findpost&pid=3726316"><{POST_SNAPBACK}></a></div><div class='quotemain'><!--quotec-->cioscorp/darkcorp have r13 dip patch. Priiloader works fine with my cioscorp 3.6 cios36.

    This could have something to do with it. Before I reinstall cios36 I made a nand backup. No I am possitive that I had a cios36 installed, I checked before I reinstalled it and it was darkcorp version. However, I don't see an ios36 in my nandbincheck, or I am blind. It should be 00000001-00000024 AFAIK, but it is not there.
    Warning: Spoilers inside!
    <!--QuoteEnd--></div><!--QuoteEEnd-->
    "00000001-00000024" isn't there, but that's all I know on the subject.

    DarkCorp v1.1 patches rev13 dip module on all System Menu IOS's (which are all IOS60). The others have rev17 patched. I think older versions used rev14 too.
     
  5. DGenerateKane

    Member DGenerateKane GBAtemp Fan

    Joined:
    Jul 18, 2009
    Messages:
    330
    Country:
    United States
    Just curious why priiloader .6 when .7 is out?
     
  6. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    Every version has it's issues. Especially with homebrew, the newest doesn't always mean the best.
     
  7. mauifrog
    OP

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    version 6 was on my sd, that is all. i think they are about the same, except the installer
     
  8. FGOD

    Member FGOD Wii gaming bitch

    Joined:
    Jun 1, 2008
    Messages:
    1,339
    Location:
    Netherlands, Den Helder
    Country:
    Netherlands
    the thing is that my bro added that into priiloader cause he hates cois it isn't a issue from the cios itself... although it is strange that you received that error while you didn't had it before... maybe another build of 0.6? i know he added that feature in 0.6 so that could be the thing...
     
  9. Slimmmmmm

    Member Slimmmmmm GBAtemp MoNkEeE

    Joined:
    Nov 1, 2007
    Messages:
    1,687
    Location:
    the land of lol
    Country:
    United Kingdom
    cIOSPAGHETTI (cios infected) ios detected, Aborting mission

    FoOoOoOoking class [​IMG]

    If you're reading it needs a theme tune... [​IMG]


    [​IMG]
     
  10. xfcrowman

    Member xfcrowman GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    430
    Country:
    United States
    Perhaps one solution to this is to install clean IOS's < 200, install preloader, then re-install DarkCorp.
     
  11. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    After the install, Priiloader doesn't use cIOS36 anymore, so that isn't necessary. Mauifrog already installed Priiloader, he just wanted to know if the error was directed at DarkCorp.

    @Mauifrog: I guess I should thank you. I'd forgotten about this error until you mentioned it, and I am going to add it to my Priiloader guide when I get a chance.
     
  12. Kn0wledg3

    Newcomer Kn0wledg3 Newbie

    Joined:
    Nov 23, 2009
    Messages:
    2
    Country:
    United States
    Hi, I just got this error and i hope hoping one of you could tell me how to reinstall cios36. I havn't modded a wii in a few years but i remember how important priiloader is and i was not able to install bootmii as boot2 [​IMG] So i would like to fix this. Thanks in advance
     
  13. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    Use Multi-Mod Manager to install and patch IOS36.
     
  14. Kn0wledg3

    Newcomer Kn0wledg3 Newbie

    Joined:
    Nov 23, 2009
    Messages:
    2
    Country:
    United States
    Hmm, i did that, i had to redownload the 3 wads required for the install/patch. It went fine and installed without error, but i still get the "spaghetti" error on priiloader [​IMG]

    Since this wii is 4.3u already, would it maybe be easiest to update and start over? Idk if i did something wrong but i cant seem to get priiloader to install
     
  15. tueidj

    Member tueidj I R Expert

    Joined:
    Jan 8, 2009
    Messages:
    2,569
    Country:
    If priiloader is complaining because IOS36 has been patched, logic would suggest that installing a patched copy of IOS36 isn't going to help the situation.
     
  16. Hells Guardian

    Member Hells Guardian GBAtemp Maniac

    Joined:
    Dec 25, 2008
    Messages:
    1,113
    Country:
    United States
    It is indeed directed at cios/darkcorp as cIOS may not always act as is expected and cause a critical error that would result in a likely brick. priiloader is by the nature of the hack a dangerous app to install. Nintendo IOS is uniform and has a lot less bugs in it than the custom IOS or cIOS which is homebrew which often is pretty buggy. So it's only logical to eliminate as many potential issues such as cIOS as one can. Am I wrong?
     
  17. mauifrog
    OP

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    simply installing a dip patched ios36 via wad will fix this issue. I don't think it has anything to do with the patches in ios36, but the lack of the fakesign in the darkcorp cios. Simply installing cios36 from cioscorp 3.6 via wad will fix the error. Also dumping cios36 from darkcorp via wad, then reinstalling the wad could also possibly fix the issue. Just a thought as I have no time to test this, but I suspect it would work without issue. Either way, your dip patched wii will still work fine with the 3.6 cios36 installed.

    Priiloader 0.6 has been installed with cios36 from cioscorp 3.6 on a few million wiis without issue. Works fine with 0.7. Perhaps darkcorp should revert back to the older cios36 method to fix the issue.
     
  18. Hells Guardian

    Member Hells Guardian GBAtemp Maniac

    Joined:
    Dec 25, 2008
    Messages:
    1,113
    Country:
    United States
    hmm that is interesting. I thought it was searching for a fakesigning to check for cIOSCORP..... Either way as I said cIOS isn't IMO the best option to install this hack on....
     
  19. mauifrog
    OP

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    Running the installer on a patched ios or patching a running ios with AHBPROT is the same thing, either way the installer is running on a patch ios. No way around that.
     
  20. tueidj

    Member tueidj I R Expert

    Joined:
    Jan 8, 2009
    Messages:
    2,569
    Country:
    They're not the same thing at all.
    Patching a running IOS that was clean = you know what has been modified.
    Running on an IOS that has already been patched = who knows what has been modified.
     

Share This Page